# eric7.Plugins.UiExtensionPlugins.Translator.TranslatorEngines.DeepLEngine

Module implementing the DeepL translation engine.

### Global Attributes

None

### Classes

DeepLEngine | Class implementing the translation engine for the DeepL translation service.

### Functions

None

## DeepLEngine

Class implementing the translation engine for the DeepL translation service.

### Derived from

TranslationEngine

### Class Attributes

MaxTranslationTextLen
TranslatorUrls

### Class Methods

None

### Methods

DeepLEngine | Constructor
engineName | Public method to return the name of the engine.
getTranslation | Public method to translate the given text.
supportedLanguages | Public method to get the supported languages.

### Static Methods

None

#### DeepLEngine (Constructor)

DeepLEngine(plugin, parent=None)

Constructor

plugin (TranslatorPlugin)
  reference to the plugin object
parent (QObject)
  reference to the parent object

#### DeepLEngine.engineName

engineName()

Public method to return the name of the engine.

Return:
  engine name

Return Type:
  str

#### DeepLEngine.getTranslation

getTranslation(requestObject, text, originalLanguage, translationLanguage)

Public method to translate the given text.

requestObject (TranslatorRequest)
  reference to the request object
text (str)
  text to be translated
originalLanguage (str)
  language code of the original
translationLanguage (str)
  language code of the translation

Return:
  tuple of translated text and flag indicating success

Return Type:
  tuple of (str, bool)

#### DeepLEngine.supportedLanguages

supportedLanguages()

Public method to get the supported languages.

Return:
  list of supported language codes

Return Type:
  list of str

Up